Raspberry pi 4 is out and Virtualmin should have a installer script for it. Support for Raspbian buster would be great.

4 posts / 0 new
Last post
#1 Tue, 07/02/2019 - 07:18
altback

Raspberry pi 4 is out and Virtualmin should have a installer script for it. Support for Raspbian buster would be great.

The New Raspberry pi ( 4 B model) comes with a better processor and more RAM. And, it should be fairly faster than its predecessor. Although, no support for SATA HDD is bottleneck in terms of storage speeds.

Anyways, with better speed and RAM storage its should be the good solution for hosting site. Right now (July 2nd, 2019), only OS that supports the hardware is Raspbian Buster ( a Debian based Linux distribution). In coming days we might see the support for the UBUNTU Server and other A+ grade operating systems for the hardware.

Nontheless, few have tried installing Virtualmin on their Raspberry Pi 2,3 and 3+ models running Raspbian OS. Virtualmin makes a great match for these low power single board computers running on linux distributions. An 'install.sh' script for ARM processors with Raspbian/Ubuntu Server OS would be helping people who wants to host their site from home.

Thu, 07/11/2019 - 07:55
altback

Okay, so I was able boot to ubuntu 18.04.02 LTS on Raspberry Pi 4. And, I tried to install Virtualmin through install script. I got following error: Installing Webmin: [2019-07-11 12:50:09 UTC] [ERROR] Failed with error: 100 [2019-07-11 12:50:09 UTC] [ERROR] Something went wrong. Exiting. [2019-07-11 12:50:09 UTC] [ERROR] The last few log entries were:

Full error is here: Installing Webmin [ERROR] Failed with error: 100 [ ✘ ]

[ERROR] Something went wrong. Exiting. [ERROR] The last few log entries were: Made it here...why? Enabling universe repositories, if not already available: Success. Spin pid is: 3060 Disabling cdrom: repositories: Success. Spin pid is: 3079 Cleaning out old metadata: Success. [2019-07-11 12:50:05 UTC] [DEBUG] Phase 2 of 3: Installation Spin pid is: 3106 Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package webmin Installing Webmin: [2019-07-11 12:50:09 UTC] [ERROR] Failed with error: 100 [2019-07-11 12:50:09 UTC] [ERROR] Something went wrong. Exiting. [2019-07-11 12:50:09 UTC] [ERROR] The last few log entries were:

Sat, 07/13/2019 - 19:38
noisemarine

If you really must have it, you can attempt a manual installation on unsupported distributions.

https://www.virtualmin.com/documentation/installation/manual

Tue, 11/05/2019 - 05:22
goldenfish

any news for raspian ? manual install take too much step